# vue-remarkbox

A Vue.js 2 component to display Remarkbox comments on your site.

## Dependencies

This component depends on [iframe-resizer](http://davidjbradshaw.github.io/iframe-resizer/) to resize Remarkbox's iframe once it loads.
Please make sure to install that library also.

## Installation

```shell
npm i @yetti-bytes/vue-remarkbox
```
or
```shell
yarn add @yetti-bytes/vue-remarkbox
```

### Browser

```html
<script type="text/javascript" src="node_modules/vuejs/dist/vue.min.js"></script>
<script type="text/javascript" src="node_modules/vue-remarkbox/dist/vue-remarkbox.esm.js"></script>
<script type="text/javascript">
  Vue.use(VueRemarkbox);
</script>
```

### Module

```node
import VueRemarkbox from '@yetti-bytes/vue-remarkbox';
```

## Usage

Once installed, include the component in your template:

```html
<vue-remarkbox :remarkbox-key="[your key]">
```

### Props
* `remarkbox-key` is **required**. You should know what this is...

## Thanks

[vue-sfc-rollup](https://github.com/team-innovation/vue-sfc-rollup) - CLI templating utitlity that scaffolds a minimal npm ready Vue SFC setup.